Subject: Re: [patch 2/6] cuimage for Bamboo board

From: Josh Boyer <[email-masked]>
Date: Wed, 05 Sep 2007 00:53:54 -0500

On Wed, 2007-09-05 at 15:46 +1000, David Gibson wrote:
> > > > > There must surely be a way to get the MAC addresses out of OpenBIOS...
> > > > 
> > > > Probably.  I just need to find out where they are stored.
> > > 
> > > It's not buried somewhere in the arch/ppc/boot code?
> > 
> > It's not OpenBIOS, it's PIBS.  And the arch/ppc port uses __res, which
> > I'd rather avoid.  But I did find where it's stored in flash, so I can
> > read it from there.  I just need to do a little more work to get it in a
> > manner that can be used.
> 
> Hrm.. is that address actually guaranteed to be stable across PIBS
> versions?  If arch/ppc uses __res, I think we should do that too.  It
> shouldn't be any worse than what we already do fot cuboot.

The address should be stable for all versions of PIBS that come on the
Bamboo boards, yes.  And after looking at it a bit more, the wrapper in
arch/ppc for PIBS essentially mocks up __res by reading the values out
of flash.  So the way I'm doing it is the way it was already done.

josh